# Reconciliation API

## Introduction

The Reconciliation API allows you to retrieve the details of one or a list of transactions on demand at any time.

The responses will be in JSON format, which you can then parse to the format you would be more comfortable with (.CSV as example).

## Initial Configurations

* Create a user account on the merchant panel and assign the "Financial" pre set capability.
* curate a list of IP address from which the API will be accessed and send to <integration@lime-pay.com> for configuration

## Reconciliation API Flow

To integrate this API, you will use our STG environment. Once the integration is completed, you will move to our Production environment.&#x20;

Described below is the flow of usage of the Reconciliation API:

**1 -** **Register:** create a user on our **Staging Merchant Panel**. You won't be able to use this account to log in through the web once it was configured for using with the API.

**2 -** **Configure the account:** send an email to <integration@lime-pay.com> containing the email address you created the user's account with and the list of IPs you would like to whitelist to set up the account for the API usage. Having in mind that you are able to hit the Merchants API only from the whitelisted IPs, you will need to collect the required IPs and send them for configuration.

{% hint style="danger" %}
Have in mind that once the user is configured, the user account won't be able to login from the web(Merchant panel), but from the API instead, as r*econciliation API users cannot access the panel and are only meant for API interaction.* Once your tests are completed, please create a user account in the Production Merchant Panel.
{% endhint %}

**3 -** **Integrate:** once our Integration team has configured your account, you can start integrating the API in our STG environment.

**4 -** **Login:** login by using the email and password from **step 1** using the [**Login Endpoint**](/api-documentation/reconciliation-api/endpoints.md#login-endpoint).

**5 -** **Consult details:** hit our [**Transactions Endpoints**](/api-documentation/reconciliation-api/endpoints.md#transactions-endpoint) to retrieve the desired details.

**6 -** **Logout:** as soon as you've finished the activities, you may need to use the [**Logout Endpoint**](/api-documentation/reconciliation-api/endpoints.md#logout-endpoint) to terminate the session.

**7 -** **Move to Production:** as soon as you have completed the tests and you would like to start using it in our Production environment, please repeat steps **1** and **2** using our **Production Merchant Panel**.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.lime-pay.com/api-documentation/reconciliation-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
